<?		
		define('PRO_ROOT', dirname(dirname(dirname(__FILE__))));
		
		if(!@include(PRO_ROOT.'./configs/define.php')) {
				exit('define.php is missing'.PRO_ROOT);
		}
		if(!@include(PRO_ROOT.'./configs/right.php')) {
				exit('right.php is missing');
		}
		if(!@include(PRO_ROOT.'./configs/configs.php')) {
				exit('configs.php is missing');
		}
		if(!@include(PRO_ROOT.'./configs/article/right.php')) {
				exit('article/right.php is missing');
		}
		if(!@include(PRO_ROOT.'./configs/article/configs.php')) {
				exit('article/configs.php is missing');
		}
		if(!@include(PRO_ROOT.'./configs/article/sort.php')) {
				exit('article/sort.php is missing');
		}
		if(!@include(PRO_ROOT.'./configs/forum/configs.php')) {
				exit('forum/configs.php is missing');
		}
		
define("HON6_ROOT",dirname(dirname(__FILE__)));
		
		if(!@include(HON6_ROOT."./smarty/smarty.class.php")) {
				exit('Smarty.class.php is missing');
		}
		
		if(!@include(HON6_ROOT."./smarty_function/include.php")) {
				exit('smarty_function is missing');
		}
		
		if(!@include(HON6_ROOT."./rewrite_url/include.php")) {
				exit('rewrite_url is missing');
		}
	
@define(INCLUDE_DIR,dirname(__FILE__));

foreach(scandir(INCLUDE_DIR) as $files1){ 
if($files1=='.'||$files1=='..'||$files1=='include.php') continue; 
		if(is_dir(INCLUDE_DIR."/".$files1)){
				foreach(scandir(INCLUDE_DIR."/".$files1) as $files2){ 
						if($files2=='.'||$files2=='..'||$files2=='include.php') continue;
							 	include_once(INCLUDE_DIR."/".$files1."/".$files2);
				}
		}else{
			 	include_once(INCLUDE_DIR."/".$files1);
		}
}
?>